import http from "@/api/http.js";
const raiBanner = {
  //图片选择列表
  getBannerImgList: (params) => {
    return http.get("/cygx/banner/img/list", params);
  },
  //banner列表
  getBannerList: (params) => {
    return http.get("/cygx/banner/list", params);
  },
  //banner详情
  getBannerDetail: (params) => {
    return http.get("/cygx/banner/detail", params);
  },
  //添加修改banne
  bannerPreserveAndPublish: (params) => {
    return http.post("/cygx/banner/PreserveAndPublish", params);
  },
  //发布/取消发布
  bannerPublishAndcancel: (params) => {
    return http.post("/cygx/banner/publishAndcancel", params);
  },
  //移动顺序
  bannerMoveDrag: (params) => {
    return http.post("/cygx/banner/move", params);
  },
  
};

export default raiBanner;
